/*************************************************************************
*                                                                        *
* 	XMMHandler - Access XMM for storing / accessing db_Vista records		 *
* 																								 *
* 	This file is the external definitions used by the library caller		 *
* 																								 *
* 					 Used by the PARSER to eliminate IO during processing		 *
* 																								 *
* 	Author:		Tom Frank, BIMCO														 *
*                                                                        *
*************************************************************************/

typedef int XHandle;

extern int XMMErrorCode;

int InitXMMSystem(int MaxHandles);
int ShutXMMSystem(void);
XHandle AllocateXMMArea(long MaxRecs, int RecSize);
int DeAllocateXMMArea(XHandle hnd);
int GetXMMRecord(XHandle hnd, long recno, void *buffer);
int CheckXMMRecord(XHandle hnd, long recno);
int PutXMMRecord(XHandle hnd, long recno, void *buffer);
